LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-12-2010, 07:25 AM   #1
aj476
LQ Newbie
 
Registered: Oct 2010
Posts: 2

Rep: Reputation: 0
Have trouble installing KchmViewer. Missing dependencies


I tried
yum install kchmviewer-5.2-1.i586.rpm

then I got:

Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Examining kchmviewer-5.2-1.i586.rpm: kchmviewer-5.2-1.i586
Marking kchmviewer-5.2-1.i586.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package kchmviewer.i586 0:5.2-1 set to be updated
--> Processing Dependency: libchm.so.0 for package: kchmviewer
--> Processing Dependency: libQtCore.so.4 for package: kchmviewer
--> Processing Dependency: libQtDBus.so.4 for package: kchmviewer
--> Processing Dependency: libQtGui.so.4 for package: kchmviewer
--> Processing Dependency: libQtNetwork.so.4 for package: kchmviewer
--> Processing Dependency: libQtWebKit.so.4 for package: kchmviewer
--> Processing Dependency: libQtXmlPatterns.so.4 for package: kchmviewer
--> Processing Dependency: libQtXml.so.4 for package: kchmviewer
--> Finished Dependency Resolution
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtXml.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtDBus.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libchm.so.0 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtWebKit.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtCore.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtNetwork.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtXmlPatterns.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
kchmviewer-5.2-1.i586 from kchmviewer-5.2-1.i586.rpm has depsolving problems
--> Missing Dependency: libQtGui.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtWebKit.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtGui.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtXml.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtXmlPatterns.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtNetwork.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtCore.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libchm.so.0 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
Error: Missing Dependency: libQtDBus.so.4 is needed by package kchmviewer-5.2-1.i586 (kchmviewer-5.2-1.i586.rpm)
[root@localhost Desktop]# yum install chmlib-0.39-3.51.src.rpm
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Examining chmlib-0.39-3.51.src.rpm: chmlib-0.39-3.51.src
Cannot add package chmlib-0.39-3.51.src.rpm to transaction. Not a compatible architecture: src
Nothing to do
[root@localhost Desktop]# yum install chmlib-devel-0.39-3.51.i586.rpm
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Examining chmlib-devel-0.39-3.51.i586.rpm: chmlib-devel-0.39-3.51.i586
Marking chmlib-devel-0.39-3.51.i586.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package chmlib-devel.i586 0:0.39-3.51 set to be updated
--> Processing Dependency: chmlib = 0.39-3.51 for package: chmlib-devel
--> Finished Dependency Resolution
chmlib-devel-0.39-3.51.i586 from chmlib-devel-0.39-3.51.i586.rpm has depsolving problems
--> Missing Dependency: chmlib = 0.39-3.51 is needed by package chmlib-devel-0.39-3.51.i586 (chmlib-devel-0.39-3.51.i586.rpm)
Error: Missing Dependency: chmlib = 0.39-3.51 is needed by package chmlib-devel-0.39-3.51.i586 (chmlib-devel-0.39-3.51.i586.rpm)
[root@localhost Desktop]# yum install chmlib-devel-0.31-0.rh62.dag.i386.rpm
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Examining chmlib-devel-0.31-0.rh62.dag.i386.rpm: chmlib-devel-0.31-0.rh62.dag.i386
Marking chmlib-devel-0.31-0.rh62.dag.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package chmlib-devel.i386 0:0.31-0.rh62.dag set to be updated
--> Processing Dependency: chmlib = 0.31-0.rh62.dag for package: chmlib-devel
--> Finished Dependency Resolution
chmlib-devel-0.31-0.rh62.dag.i386 from chmlib-devel-0.31-0.rh62.dag.i386.rpm has depsolving problems
--> Missing Dependency: chmlib = 0.31-0.rh62.dag is needed by package chmlib-devel-0.31-0.rh62.dag.i386 (chmlib-devel-0.31-0.rh62.dag.i386.rpm)
Error: Missing Dependency: chmlib = 0.31-0.rh62.dag is needed by package chmlib-devel-0.31-0.rh62.dag.i386 (chmlib-devel-0.31-0.rh62.dag.i386.rpm)
[root@localhost Desktop]#
[root@localhost Desktop]#

Any help appreciated.
Thanks,
Alex.
 
Old 12-12-2010, 11:09 AM   #2
andrewthomas
Senior Member
 
Registered: May 2010
Location: Chicago Metro
Distribution: Arch, Gentoo, Slackware
Posts: 1,690

Rep: Reputation: 308Reputation: 308Reputation: 308Reputation: 308
How about a straight
Code:
yum install kchmviewer
There may be a newer version available. What Red Hat version are you running?
For example, kchmviewer-5.2-5.el6.2
http://koji.fedoraproject.org/koji/p...packageID=2195
 
Old 12-19-2010, 04:40 AM   #3
aj476
LQ Newbie
 
Registered: Oct 2010
Posts: 2

Original Poster
Rep: Reputation: 0
The problem I have is with dependencies. Somehow each dependency needs more dependencies...I am getting avalanche of dependencies...
 
Old 12-19-2010, 08:28 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016 CentOS6.9 CentOS7.3 + 50+ other Linux OS, for test only.
Posts: 16,635

Rep: Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268Reputation: 3268
Quote:
This system is not registered with RHN.
RHN support will be disabled.
A Redhat EL5 with no Redhat account : yum will not work.

Don't want to pay : Install a free version instead.
E.g. CentOS 5.5 ... is identical to EL5.
http://www.centos.org/
..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] kchmviewer installing problem,can't read .chm files cola Slackware 2 09-28-2009 08:15 AM
Installing mplayer with Fedora 8 missing dependencies Freeflyin Linux - Software 3 11-23-2008 10:55 AM
Installing Pidgin with missing dependencies without root access DiagonalArg Linux - Software 1 06-27-2007 12:51 AM
Installing software in RHEL (Missing dependencies) ramsforums Red Hat 1 06-18-2007 05:33 AM
Installing Fire Fox & missing dependencies tom_orrell Linux - Software 9 06-14-2005 04:04 PM


All times are GMT -5. The time now is 08:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration